Last Comment Bug 765468 - Use a dictionary for the argument to the XMLHttpRequest constructor
: Use a dictionary for the argument to the XMLHttpRequest constructor
Status: RESOLVED FIXED
[qa-]
:
Product: Core
Classification: Components
Component: DOM (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla16
Assigned To: :Ms2ger
:
Mentors:
Depends on:
Blocks: 692677
  Show dependency treegraph
 
Reported: 2012-06-16 01:50 PDT by :Ms2ger
Modified: 2013-04-04 13:53 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch v1 (6.29 KB, patch)
2012-06-16 01:50 PDT, :Ms2ger
bzbarsky: review+
Details | Diff | Review
Fix test (876 bytes, patch)
2012-06-20 10:08 PDT, :Ms2ger
bzbarsky: review+
Details | Diff | Review

Description :Ms2ger 2012-06-16 01:50:58 PDT
Created attachment 633780 [details] [diff] [review]
Patch v1
Comment 1 :Ms2ger 2012-06-16 01:51:56 PDT
(Patch depends on bug 763814.)
Comment 2 Boris Zbarsky [:bz] (Out June 25-July 6) 2012-06-16 17:50:28 PDT
Mmm.  This would be way simpler if we just converted an optional dictionary that's not passed into a dictionary value with all values default, wouldn't it?  Then you would't need all that Nullable gunk....
Comment 3 Mounir Lamouri (:mounir) 2012-06-19 12:54:57 PDT
Comment on attachment 633780 [details] [diff] [review]
Patch v1

Review of attachment 633780 [details] [diff] [review]:
-----------------------------------------------------------------

I do not think I am the best suited to review that.
Redirecting to khuey.
Comment 4 Boris Zbarsky [:bz] (Out June 25-July 6) 2012-06-19 13:07:36 PDT
Comment on attachment 633780 [details] [diff] [review]
Patch v1

r=me
Comment 5 :Ms2ger 2012-06-20 10:08:51 PDT
Created attachment 634964 [details] [diff] [review]
Fix test

This test broke, so I fixed it (and added some more coverage, just for fun).
Comment 6 Boris Zbarsky [:bz] (Out June 25-July 6) 2012-06-20 10:34:04 PDT
Comment on attachment 634964 [details] [diff] [review]
Fix test

r=me

Note You need to log in before you can comment on or make changes to this bug.